Index: XIOS3/trunk/src/object_factory_decl1.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_decl1.cpp	(revision 2509)
+++ 	(revision )
@@ -1,20 +1,0 @@
-#include "object_factory_decl_macro.hpp"
-
-namespace xios
-{
-  macro(CField)
-  macro(CFile)
-  macro(CCouplerIn)
-  macro(CCouplerOut)
-  macro(CGrid)
-  macro(CAxis)
-  macro(CDomain)
-  macro(CContext)
-  macro(CCalendarWrapper)
-  macro(CVariable)
-  macro(CInverseAxis)
-  macro(CZoomAxis)
-  macro(CInterpolateAxis)
-}
-
-
Index: XIOS3/trunk/src/object_factory_decl2.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_decl2.cpp	(revision 2509)
+++ 	(revision )
@@ -1,29 +1,0 @@
-#include "object_factory_decl_macro.hpp"
-
-namespace xios
-{
-  macro(CExtractAxis)
-  macro(CZoomDomain)
-  macro(CInterpolateDomain)
-  macro(CGenerateRectilinearDomain)
-  macro(CScalar)
-  macro(CReduceAxisToScalar)
-  macro(CReduceDomainToAxis)
-  macro(CReduceAxisToAxis)
-  macro(CExtractDomainToAxis)
-  macro(CComputeConnectivityDomain)
-  macro(CExpandDomain)
-  macro(CExtractAxisToScalar)
-  macro(CReduceDomainToScalar)
-  macro(CTemporalSplitting)
-  macro(CDuplicateScalarToAxis)
-  macro(CReduceScalarToScalar)
-  macro(CReorderDomain)
-  macro(CExtractDomain)
-  macro(CPoolNode)
-  macro(CServiceNode)
-  macro(CRedistributeDomain)
-  macro(CRedistributeAxis)
-  macro(CRedistributeScalar)
-}
-
Index: XIOS3/trunk/src/object_factory_decl3.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_decl3.cpp	(revision 2509)
+++ 	(revision )
@@ -1,23 +1,0 @@
-#include "object_factory_decl_macro.hpp"
-
-
-namespace xios
-{
-  macro(CFieldGroup)
-  macro(CFileGroup)
-  macro(CCouplerInGroup)
-  macro(CCouplerOutGroup)
-  macro(CGridGroup)
-  macro(CAxisGroup)
-  macro(CDomainGroup)
-  macro(CContextGroup)
-  macro(CVariableGroup)
-  macro(CInverseAxisGroup)
-  macro(CZoomAxisGroup)
-  macro(CInterpolateAxisGroup)
-  macro(CExtractAxisGroup)
-  macro(CZoomDomainGroup)
-  macro(CPoolNodeGroup)
-  macro(CServiceNodeGroup)
-}
-
Index: XIOS3/trunk/src/object_factory_decl4.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_decl4.cpp	(revision 2509)
+++ 	(revision )
@@ -1,25 +1,0 @@
-#include "object_factory_decl_macro.hpp"
-
-namespace xios
-{
-  macro(CInterpolateDomainGroup)
-  macro(CGenerateRectilinearDomainGroup)
-  macro(CScalarGroup)
-  macro(CReduceAxisToScalarGroup)
-  macro(CReduceDomainToAxisGroup)
-  macro(CReduceAxisToAxisGroup)
-  macro(CExtractDomainToAxisGroup)
-  macro(CComputeConnectivityDomainGroup)
-  macro(CExpandDomainGroup)
-  macro(CExtractAxisToScalarGroup)
-  macro(CReduceDomainToScalarGroup)
-  macro(CTemporalSplittingGroup)
-  macro(CDuplicateScalarToAxisGroup)
-  macro(CReduceScalarToScalarGroup)
-  macro(CReorderDomainGroup)
-  macro(CExtractDomainGroup)
-  macro(CRedistributeDomainGroup)
-  macro(CRedistributeAxisGroup)
-  macro(CRedistributeScalarGroup)
-}
-
Index: XIOS3/trunk/src/object_factory_declaration/decl_axis.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_axis.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_axis.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CAxis)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_axis_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_axis_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_axis_group.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+
+namespace xios
+{
+  macro(CAxisGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_calendar_wrapper.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_calendar_wrapper.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_calendar_wrapper.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CCalendarWrapper)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_compute_connectivity_domain.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_compute_connectivity_domain.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_compute_connectivity_domain.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CComputeConnectivityDomain)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_compute_connectivity_domain_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_compute_connectivity_domain_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_compute_connectivity_domain_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CComputeConnectivityDomainGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_context.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_context.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_context.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CContext)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_context_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_context_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_context_group.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+
+namespace xios
+{
+  macro(CContextGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_coupler_in.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_coupler_in.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_coupler_in.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CCouplerIn)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_coupler_in_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_coupler_in_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_coupler_in_group.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+
+namespace xios
+{
+  macro(CCouplerInGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_coupler_out.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_coupler_out.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_coupler_out.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CCouplerOut)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_coupler_out_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_coupler_out_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_coupler_out_group.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+
+namespace xios
+{
+  macro(CCouplerOutGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_domain.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_domain.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_domain.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CDomain)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_domain_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_domain_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_domain_group.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+
+namespace xios
+{
+  macro(CDomainGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_duplicate_scalar_to_axis.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_duplicate_scalar_to_axis.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_duplicate_scalar_to_axis.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CDuplicateScalarToAxis)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_duplicate_scalar_to_axis_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_duplicate_scalar_to_axis_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_duplicate_scalar_to_axis_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CDuplicateScalarToAxisGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_expand_domain.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_expand_domain.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_expand_domain.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CExpandDomain)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_expand_domain_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_expand_domain_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_expand_domain_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CExpandDomainGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_extract_axis.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_extract_axis.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_extract_axis.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CExtractAxis)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_extract_axis_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_extract_axis_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_extract_axis_group.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+
+namespace xios
+{
+  macro(CExtractAxisGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_extract_axis_to_scalar.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_extract_axis_to_scalar.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_extract_axis_to_scalar.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CExtractAxisToScalar)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_extract_axis_to_scalar_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_extract_axis_to_scalar_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_extract_axis_to_scalar_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CExtractAxisToScalarGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_extract_domain.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_extract_domain.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_extract_domain.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CExtractDomain)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_extract_domain_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_extract_domain_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_extract_domain_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CExtractDomainGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_extract_domain_to_axis.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_extract_domain_to_axis.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_extract_domain_to_axis.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CExtractDomainToAxis)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_extract_to_domain_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_extract_to_domain_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_extract_to_domain_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CExtractDomainToAxisGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_field.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_field.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_field.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CField)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_field_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_field_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_field_group.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+
+namespace xios
+{
+  macro(CFieldGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_file.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_file.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_file.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CFile)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_file_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_file_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_file_group.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+
+namespace xios
+{
+  macro(CFileGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_generate_rectilinear_domain.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_generate_rectilinear_domain.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_generate_rectilinear_domain.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CGenerateRectilinearDomain)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_generate_rectilinear_domain_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_generate_rectilinear_domain_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_generate_rectilinear_domain_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CGenerateRectilinearDomainGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_grid.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_grid.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_grid.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CGrid)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_grid_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_grid_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_grid_group.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+
+namespace xios
+{
+  macro(CGridGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_interpolate_axis.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_interpolate_axis.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_interpolate_axis.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CInterpolateAxis)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_interpolate_axis_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_interpolate_axis_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_interpolate_axis_group.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+
+namespace xios
+{
+  macro(CInterpolateAxisGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_interpolate_domain.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_interpolate_domain.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_interpolate_domain.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CInterpolateDomain)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_interpolate_domain_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_interpolate_domain_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_interpolate_domain_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CInterpolateDomainGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_inverse_axis.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_inverse_axis.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_inverse_axis.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CInverseAxis)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_inverse_axis_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_inverse_axis_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_inverse_axis_group.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+
+namespace xios
+{
+  macro(CInverseAxisGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_pool_node.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_pool_node.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_pool_node.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CPoolNode)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_pool_node_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_pool_node_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_pool_node_group.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+
+namespace xios
+{
+  macro(CPoolNodeGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_redistribute_axis.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_redistribute_axis.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_redistribute_axis.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CRedistributeAxis)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_redistribute_axis_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_redistribute_axis_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_redistribute_axis_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CRedistributeAxisGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_redistribute_domain.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_redistribute_domain.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_redistribute_domain.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CRedistributeDomain)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_redistribute_domain_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_redistribute_domain_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_redistribute_domain_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CRedistributeDomainGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_redistribute_scalar.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_redistribute_scalar.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_redistribute_scalar.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CRedistributeScalar)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_redistribute_scalar_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_redistribute_scalar_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_redistribute_scalar_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CRedistributeScalarGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_reduce_axis_to_axis.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_reduce_axis_to_axis.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_reduce_axis_to_axis.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CReduceAxisToAxis)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_reduce_axis_to_axis_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_reduce_axis_to_axis_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_reduce_axis_to_axis_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CReduceAxisToAxisGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_reduce_axis_to_scalar.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_reduce_axis_to_scalar.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_reduce_axis_to_scalar.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CReduceAxisToScalar)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_reduce_axis_to_scalar_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_reduce_axis_to_scalar_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_reduce_axis_to_scalar_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CReduceAxisToScalarGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_reduce_domain_to_axis.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_reduce_domain_to_axis.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_reduce_domain_to_axis.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CReduceDomainToAxis)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_reduce_domain_to_axis_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_reduce_domain_to_axis_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_reduce_domain_to_axis_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CReduceDomainToAxisGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_reduce_domain_to_scalar.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_reduce_domain_to_scalar.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_reduce_domain_to_scalar.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CReduceDomainToScalar)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_reduce_domain_to_scalar_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_reduce_domain_to_scalar_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_reduce_domain_to_scalar_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CReduceDomainToScalarGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_reduce_scalar_to_scalar.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_reduce_scalar_to_scalar.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_reduce_scalar_to_scalar.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CReduceScalarToScalar)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_reduce_scalar_to_scalar_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_reduce_scalar_to_scalar_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_reduce_scalar_to_scalar_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CReduceScalarToScalarGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_reorder_domain.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_reorder_domain.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_reorder_domain.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CReorderDomain)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_reorder_domain_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_reorder_domain_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_reorder_domain_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CReorderDomainGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_scalar.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_scalar.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_scalar.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CScalar)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_scalar_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_scalar_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_scalar_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CScalarGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_service_node.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_service_node.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_service_node.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CServiceNode)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_service_node_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_service_node_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_service_node_group.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+
+namespace xios
+{
+  macro(CServiceNodeGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_temporal_splitting.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_temporal_splitting.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_temporal_splitting.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CTemporalSplitting)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_temporal_splitting_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_temporal_splitting_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_temporal_splitting_group.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CTemporalSplittingGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_variable.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_variable.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_variable.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CVariable)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_variable_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_variable_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_variable_group.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+
+namespace xios
+{
+  macro(CVariableGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_zoom_axis.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_zoom_axis.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_zoom_axis.cpp	(revision 2513)
@@ -0,0 +1,6 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CZoomAxis)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_zoom_axis_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_zoom_axis_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_zoom_axis_group.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+
+namespace xios
+{
+  macro(CZoomAxisGroup)
+}
Index: XIOS3/trunk/src/object_factory_declaration/decl_zoom_domain.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_zoom_domain.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_zoom_domain.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+namespace xios
+{
+  macro(CZoomDomain)
+}
+
Index: XIOS3/trunk/src/object_factory_declaration/decl_zoom_domain_group.cpp
===================================================================
--- XIOS3/trunk/src/object_factory_declaration/decl_zoom_domain_group.cpp	(revision 2513)
+++ XIOS3/trunk/src/object_factory_declaration/decl_zoom_domain_group.cpp	(revision 2513)
@@ -0,0 +1,7 @@
+#include "object_factory_decl_macro.hpp"
+
+
+namespace xios
+{
+  macro(CZoomDomainGroup)
+}
